//*****************************************
// AVR ATmega644P Geiger Counter
// CPU Clock:8MHz,16NHz,18.432MHz or 20MHz(Compile Option)
// File Name:EEPROM.h
//  wb_[t@C
//
//  2011/09/02 New  Taishi ATmega644P(J308)
//  2011/10/22 Modify for LND712 by  Taishi
//  2011/10/28 Modify for SBM-20 by  Taishi
//  2011/11/08 Modify for LND712 by  Taishi
//  2011/11/12 Modify for SBM-20 by  Taishi
//  2011/11/12 Modify for J-308  by  Taishi
//  2011/11/24 Modify for All Model  Taishi
//*****************************************

// **********************************************************
// ******************** Save Data(EEPROM) *******************
// **********************************************************
#define	N_of_EEP_DAY_DATA		64
#define	N_of_EEP_HOUR_DATA		64
#define	N_of_EEP_MINUTE_DATA	64

extern	unsigned int	eep_hv_target_volt[8] EEMEM;						// o͓diuPʁj

extern	unsigned char	eep_cpd_write_pos;									// PƂɕۑ鎞́@ۑʒu
extern	unsigned char	eep_cph_write_pos;									// PԂƂɕۑ鎞́@ۑʒu
extern	unsigned char	eep_cpm_write_pos;									// PԂƂɕۑ鎞́@ۑʒu
extern	unsigned char	eep_dumy1;											// _~[
extern	unsigned char	eep_buz_on[16];										// uU[gۂ
extern	unsigned char	eep_back_light_mode[16];							// obNCg̏^_[hiOFneeAPF`tsnAQFnm)
extern	unsigned int	eep_hv_hosei_spn[8];								// guj^l𐳊mɂׂ̕␳lXp
extern	unsigned int	eep_hv_hosei_ofs[8];								// guj^l𐳊mɂׂ̕␳lItZbg
extern	unsigned int	eep_cpm_to_uSv_spn[8];								// cpm_to_uSv_spn ZlXp̂PO{
extern	unsigned int	eep_cpm_to_uSv_ofs[8];								// cpm_to_uSv_ofs ZItZbg(JEgl炱̒l)

extern	unsigned long	eep_day_data[N_of_EEP_DAY_DATA] EEMEM;				// P̃JEglۑ
extern	unsigned long	eep_hour_data[N_of_EEP_HOUR_DATA];					// PԖ̃JEglۑ
extern	unsigned int	eep_minute_data[N_of_EEP_MINUTE_DATA];				// P̃JEglۑ
extern	unsigned long	eep_day_time_data[N_of_EEP_DAY_DATA] EEMEM;			// P̃JEglۑ̓
extern	unsigned long	eep_hour_time_data[N_of_EEP_HOUR_DATA] EEMEM;		// PԖ̃JEglۑ̓
extern	unsigned long	eep_minute_time_data[N_of_EEP_MINUTE_DATA] EEMEM;	// P̃JEglۑ̓


extern	unsigned int	tasuuketu_ui(unsigned int ui0, unsigned int ui1, unsigned int ui2, unsigned int def);
